Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.differentiable.logistic
Class ProductConstraint

    java.lang.Object
      de.jstacs.sequenceScores.differentiable.logistic.ProductConstraint

All Implemented Interfaces:
  LogisticConstraint, Storable, Cloneable

    public class ProductConstraint

extends Object
implements LogisticConstraint

This class implements product constraints, i.e., the method `getValue(Sequence,int)` returns the product of the values for the positions defined in the constructor.

Author:
  Jens Keilwagen

Constructor Summary
`ProductConstraint(int... pos)` This is the main constructor creating an instance from a given set of positions.
`ProductConstraint(StringBuffer xml)` This is the constructor for `Storable`.

Method Summary
`ProductConstraint` | `clone()`
`double` | `getValue(Sequence seq, int start)` This method returns the value f(seq) used in `LogisticDiffSS`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductConstraint

    public ProductConstraint(int... pos)

  This is the main constructor creating an instance from a given set of positions.

  Parameters:
    `pos` - the positions to be used in `getValue(Sequence, int)`

### ProductConstraint

    public ProductConstraint(StringBuffer xml)
                      throws NonParsableException

  This is the constructor for `Storable`. Creates a new `ProductConstraint` out of a `StringBuffer` .

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Returns:
    the XML representation

### clone

    public ProductConstraint clone()
                            throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getValue

    public double getValue(Sequence seq,
                           int start)

  Description copied from interface: `LogisticConstraint`
  This method returns the value f(seq) used in `LogisticDiffSS`

  Specified by:
    `getValue` in interface `LogisticConstraint`
  Parameters:
    `seq` - the sequence
    `start` - the start position within the sequence
  Returns:
    f(seq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD